#       zp_ask_init.bash
#       This file is part of zenpakt
#
#       Copyright 2010 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.
#        zenpakt zp_ask_init used by the scripts of zenpakt
#        Copyright 2010 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#        see the COPYRIGHT file you should have received along with this script

This can be used both as a check to decide if you can go for an ASK mode
(eg in makepkg or installpkg --warn) or it can be used to error out if ASK
mode was already requested and is not possible

$$

ask_init() {
  [[ -t 0 ]] || return "$ERR_NO_INTTY"
  [[ -t 1 ]] || return "$ERR_NO_OUTTTY"
  [[ -t 2 ]] || return "$ERR_NO_ERRTTY"
  trap 'columns;lines' WINCH
  columns
  lines
  return 0
}
