#        Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       This file is part of zenpakt

#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

$DOC
===============
 debug_enabled
===============

SYNOPSIS
--------

debug_enabled

DESCRIPTION
-----------

Return 0 if all the functions in debug are non dummy functions that is debug was
enabled during configuration.Or else return 1.

Use this function for codes that dont need to be executed if debug is not
enabled.e.g::

  if debug_enabled ; then
    assert '[[ $var = 0 ]]'
  fi

$ENDDOC
$$

debug_enabled() { return 0 ;}
