#       This file is part of zenpakt

#       Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

$INCLUDE ./config.bash
$$

#If ZENPAKT_DEBUG is not set all the functions are dummies that do nothing but
#return true.Except debug_enabled which returns false.
#This variable is only referenced here and shouldn't be used.call
#debug_enabled if you need to include conditional code for debugging
#if debug_enabled ; then ... ; fi
#debug_enabled && ...
if [[ ! $ZENPAKT_DEBUG ]] ; then

  stacktrace()      { return 0 ;}
  die()             { return 0 ;}
  assert()          { return 0 ;}
  debug_msg()       { return 0 ;}
  debug_msg_log()   { return 0 ;}
  debug_xtrace_on() { return 0 ;}
  debug_xtrace_off(){ return 0 ;}
  debug_enabled()   { return 1 ;}

  return 0
fi
