#       bkup.bash
#       This file is part of zenpakt
#
#       Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

$$

#bkup tar root
bkup() (
  #read a null delimited list of files from stdin and create a tar ball
  #backing up all the files found on the system at root
  #ignore errors in case file wasn't present or there was a failed read
  cd "$2" && tar --null --files-from=- --ignore-failed-read -cf "$1"
) 2>/dev/null

#backup files and at the same time remove them from file sysytem
#this calls tar with --remove-files option
bkup_rm() (
  cd "$2" && tar --null --files-from=- --ignore-failed-read --remove-files \
    -cvf "$1"
) 2>/dev/null

#bkup()
#{

	#_bkup_cp_()
	#{
	#local file=${1#$ROOT}
	#mkdir -p "$2/${file%/*}"
	#if ((mode)) ; then
	  #mv -- "$1" "$2/$file"
	#else
  	#cp -- "$1" "$2/$file"
  #fi
  #}

#local mode=0

#[[ $1 = -r ]] && mode=1 && shift
#[[ $1 = -- ]] && shift

##if file is a directory, we wont back it up, we use mkdir -p anyway
#[[ -d $1 && ! -L $1 ]] && return

##if file is a symlink, copy the real target first, we might need the file
#if [[ -L $1 ]] ; then
  ##first lets create a listing restore() can use
  #local target=$(readlink "$1")
  #printf '%s\0' "$1" >> "$3"
  #printf '%s\0' "$1" "$target" >> "$4"
  ##get the real target, if any
  #if target=$(readlink -e "$1" 2>/dev/null) ; then
    ##now copy over the actual file
    #_bkup_cp_ "$target" "$2"
  #fi
  ##printf '( cd %s && rm -f %s && ln -sf %s %s )\n' "$dir" "$link" "$target" "$link" >> "$3"

##if file is not a symlink and is a regular file, just copy it over
#elif [[ -f $1 ]] ; then
  #_bkup_cp_ "$1" "$2"

#else
  #return 2
#fi
#}
