#       Copyright 2010 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       This file is part of zenpakt

#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

usage exitstatus [usage_file]
$$
usage() {
  if (($1)) ; then
    printf 'Try %s --help for more information\n' "$ZENPAKT_PROG_NAME"
  else {
    printf 'Usage: %s ' "$ZENPAKT_PROG_NAME"
    if [[ $2 == */* ]] ; then
      cat "$2"
    elif [[ $2 ]] ; then
      cat "$ZENPAKT_USAGE_DIR/$2.usage"
    else
      cat
    fi
    printf 'Report bugs to <%s>\n' "$ZENPAKT_PROG_BUGREPORT"
  } >&2 ; fi
}
