#        Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       This file is part of zenpakt

#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.
$DOC
===========
 debug_msg
===========

SYNOPSIS
--------

**debug_msg** *msg*
**debug_msg_log** *msg*

DESCRIPTION
-----------

print debugging message on STDERR, and also log it in case of debug_msg_log.All
arguments are printed separated by first character of IFS and finally followed by
newline.
$ENDDOC

$$

#Print a debug message on stderr and also log it using logger
debug_msg_log() {
  logger -st "$ZENPAKT_PROG_NAME: DEBUG" -p user.debug "$*"
}

#Just print debug message on stderr
debug_msg() {
  printf '%s: DEBUG: %s\n' "$ZENPAKT_PROG_NAME" "$*"
} >&2
