#        Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       This file is part of zenpakt

#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

$DOC
=====
 die
=====

SYNOPSIS
--------

die msg

DESCRIPTION
-----------

Call `stacktrace <stacktrace.html>`_, then call `debug_msg_log <debug_msg.html>`_
and then call `error_exit <../common/error.html>`_ with ERR_INTERNAL(99) as the
exit status.

$ENDDOC

$$

#print a stack trace and exit with error code ERR_INTERNAL while
#printing the associated error messages.
die() {
  stacktrace
  debug_msg_log "$@"
  error_exit "$ERR_INTERNAL"
}
