#       Copyright 2010 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       This file is part of zenpakt

#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

#HELP
# should be called once for each *valid* package/mass argument
#return codes
#1:error making scan dir and extracting install
#2:error getting filelist
#ENDHELP
installpkg_warn package compression
$$
installpkg_warn() {

  local reply bool=1

  printf -- '-->%s\n' "Package: $1..." "Scanning the contents of $1" ''

  "$2" -dc "$1" | tar -xOf - install/doinst.sh 2>/dev/null |
  doinstxlinks -n | while read -rd '' ; do

    if ((bool)) ; then
      printf -- '-->%s\n' \
      'The following locations may be completely removed to allow symbolic' \
      'links to be made. (We are talking "rm -rf") or new symbolic links may' \
      'be created.The "WIPED-OUT" locations may be files or entire' \
      'directories:' ''
      bool=0
    fi

    if [[ -e $ROOT/$REPLY || -L $ROOT/$REPLY ]] ; then
      printf '**WIPED-OUT: %s\n' "$ROOT/$REPLY"
    else
      printf 'NEW-SYMLINK: %s\n' "$ROOT/$REPLY"
    fi
  done

  printf -- '-->%s\n' 'The following file(s) will be overwritten or newly created' \
    'when installing this package:' ''

  pkg_file_list DI "$1" "$2" | convesc |
  while read -rd '' ; do
    if [[ -e $ROOT/$REPLY || -L $ROOT/$REPLY ]] ; then
      printf '**OVERWRITTEN: %s\n' "$ROOT/$REPLY"
    else
      printf 'NEW-FILE: %s\n' "$ROOT/$REPLY"
    fi
  done || return 2
}
#=======================================================================#
