#       Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       This file is part of zenpakt

#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

$$

#There are three states in case of upgradepkg depending on wether we are installing
#a new package or upgrading a package
#1 initially set
#0 set at starting
_upgradepkg_state=1
_upgradepkg_state_type=
_upgradepkg_state_basename=

#upgradepkg_state_start type
upgradepkg_state_start() {
  _upgradepkg_state=0
  _upgradepkg_state_type=$1

    if [[ $1 == install ]] ; then
      #start the installpkg_install state, this is what installpkg_cleanup
      #expects
      installpkg_state_start "$2"
    else
      _upgradepkg_state_basename=$2
    fi
}

upgradepkg_state_end() {
  _upgradepkg_state=1
  case "$_upgradepkg_state_type" in
    install)
      installpkg_state_end
      ;;
    upgrade)
      _upgradepkg_state_basename=
      ;;
  esac
  _upgradepkg_state_type=
}

upgradepkg_state() {
  printf -v "$1" '%s' "$_upgradepkg_state_type"
  return "$_upgradepkg_state"
}

upgradepkg_state_basename() {
  printf -v "$1" '%s' "$_upgradepkg_state_basename"
}
